# TargetGroupTarget

## Properties

| Name                   | Type                                        | Description                                                                                                                                                                                                                                                                                                                                                                                                                                  | Notes       |
| ---------------------- | ------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------- |
| **healthCheckEnabled** | **Boolean**                                 | When the health check is enabled, the target is available only when it accepts regular TCP or HTTP connection attempts for state checking. The state check consists of one connection attempt with the target's address and port. The default value is 'TRUE'.                                                                                                                                                                               | \[optional] |
| **ip**                 | **String**                                  | The IP address of the balanced target.                                                                                                                                                                                                                                                                                                                                                                                                       |             |
| **maintenanceEnabled** | **Boolean**                                 | When the maintenance mode is enabled, the target is prevented from receiving traffic; the default value is 'FALSE'.                                                                                                                                                                                                                                                                                                                          | \[optional] |
| **port**               | **Integer**                                 | The port of the balanced target service; the valid range is 1 to 65535.                                                                                                                                                                                                                                                                                                                                                                      |             |
| **weight**             | **Integer**                                 | The traffic is distributed proportionally to target weight, which is the ratio of the total weight of all targets. A target with higher weight receives a larger share of traffic. The valid range is from 0 to 256; the default value is '1'. Targets with a weight of '0' do not participate in load balancing but still accept persistent connections. We recommend using values in the middle range to leave room for later adjustments. |             |
| **proxyProtocol**      | [**ProxyProtocolEnum**](#ProxyProtocolEnum) | ProxyProtocol is used to set the proxy protocol version.                                                                                                                                                                                                                                                                                                                                                                                     | \[optional] |

## Enum: ProxyProtocolEnum

| Name  | Value   |
| ----- | ------- |
| NONE  | "none"  |
| V1    | "v1"    |
| V2    | "v2"    |
| V2SSL | "v2ssl" |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/java-sdk/models/targetgrouptarget.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
